package org.gcube.portlets.user.geoportaldataviewer.client;

import java.util.ArrayList;

import org.gcube.portlets.user.geoportaldataviewer.client.ui.dandd.DragDropLayer;
import org.gcube.portlets.user.geoportaldataviewer.shared.gis.LayerObject;

import com.google.gwt.event.shared.HandlerManager;
import com.google.gwt.user.client.ui.FlowPanel;

public class OverlayLayerManager {

	private ArrayList<LayerObject> layers = new ArrayList<LayerObject>();
	private FlowPanel fp = new FlowPanel();
	private HandlerManager applicationBus;

	public OverlayLayerManager(HandlerManager applicationBus) {
		this.applicationBus = applicationBus;
		//fp.addStyleName("layers-panel");
	}

	void addLayerItem(LayerObject lo) {
		DragDropLayer dandd = new DragDropLayer(applicationBus, lo, true, true);
		layers.add(lo);
		fp.add(dandd);
	}

	public void resetLayers() {
		layers.clear();
		fp.clear();

	}

	public FlowPanel getPanel() {
		return fp;
	}
}
